<?xml version="1.5"?>
<launch>
	<arg name="feedback" default="true"/>

	<group ns="/trolley/controller">
		<node pkg="trolley_controller" type="inverse_nominal_model_node.py" name="inverse_nominal_model_node">
			<param name="feedback" value="$(arg feedback)" />
		</node>
		<node pkg="trolley_controller" type="estimate_disturbance_force_node.py" name="estimate_disturbance_force_node" />
		<node pkg="trolley_controller" type="q_filter_node.py" name="q_filter_node" />
		<node pkg="trolley_controller" type="converter_node.py" name="converter_node" />
		<node pkg="trolley_controller" type="motor_command_writer_node.py" name="motor_command_writer_node" />
	</group>
</launch>
